org.gradle.play.tasks

## Class RoutesCompile

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.play.tasks.RoutesCompile

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>

      @Incubating
      public class RoutesCompile
      extends SourceTask

  Task for compiling routes templates into Scala code.

  This task is usually created as one of the build tasks when building a Play application with the `PlayPlugin` plugin. Explicit configuration of this task is not expected and should be performed on the equivalent settings at the `PlayApplicationSpec` level.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.api.tasks.SourceTask

      `source`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoutesCompile()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAdditionalImports()` Returns the additional imports of the Play Routes compiler.
    `BaseForkOptions` | `getForkOptions()` The fork options to be applied to the Routes compiler.
    `boolean` | `getInjectedRoutesGenerator()` Is the injected routes generator (`play.routes.compiler.InjectedRoutesGenerator`) used for generating routes? Default is false.
    `File` | `getOutputDirectory()` Returns the directory to generate the parser source files into.
    `PlayToolChain` | `getToolChain()` Returns the tool chain that will be used to compile the routes source.
    `boolean` | `isGenerateReverseRoutes()` Whether a reverse router should be generated.
    `boolean` | `isJavaProject()`
    `boolean` | `isNamespaceReverseRouter()` Whether the reverse router should be namespaced.
    `void` | `setAdditionalImports(List<String> additionalImports)` Specifies the additional imports of the Play Routes compiler.
    `void` | `setGenerateReverseRoutes(boolean generateReverseRoutes)` Sets whether or not a reverse router should be generated.
    `void` | `setInjectedRoutesGenerator(boolean injectedRoutesGenerator)` Configure if the injected routes generator should be used to generate routes.
    `void` | `setNamespaceReverseRouter(boolean namespaceReverseRouter)` Sets whether or not the reverse router should be namespaced.
    `void` | `setOutputDirectory(File outputDirectory)` Specifies the directory to generate the parser source files into.
    `void` | `setPlatform(PlayPlatform platform)`

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, getSource, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RoutesCompile

          public RoutesCompile()

  - ### Method Detail

    - #### getOutputDirectory

          @OutputDirectory
          public File getOutputDirectory()

      Returns the directory to generate the parser source files into.
      Returns:
        The output directory.

    - #### setOutputDirectory

          public void setOutputDirectory(File outputDirectory)

      Specifies the directory to generate the parser source files into.
      Parameters:
        `outputDirectory` - The output directory. Must not be null.

    - #### getAdditionalImports

          @Input
          public List<String> getAdditionalImports()

      Returns the additional imports of the Play Routes compiler.
      Returns:
        The additional imports.

    - #### setAdditionalImports

          public void setAdditionalImports(List<String> additionalImports)

      Specifies the additional imports of the Play Routes compiler.

    - #### isJavaProject

          @Internal
          public boolean isJavaProject()

    - #### setPlatform

          public void setPlatform(PlayPlatform platform)

    - #### getToolChain

          @Inject
          public PlayToolChain getToolChain()

      Returns the tool chain that will be used to compile the routes source.
      Returns:
        The tool chain.

    - #### getForkOptions

          public BaseForkOptions getForkOptions()

      The fork options to be applied to the Routes compiler.
      Returns:
        The fork options for the Routes compiler.

    - #### isNamespaceReverseRouter

          @Input
          public boolean isNamespaceReverseRouter()

      Whether the reverse router should be namespaced.

    - #### setNamespaceReverseRouter

          public void setNamespaceReverseRouter(boolean namespaceReverseRouter)

      Sets whether or not the reverse router should be namespaced.

    - #### isGenerateReverseRoutes

          @Input
          public boolean isGenerateReverseRoutes()

      Whether a reverse router should be generated. Default is true.

    - #### setGenerateReverseRoutes

          public void setGenerateReverseRoutes(boolean generateReverseRoutes)

      Sets whether or not a reverse router should be generated.

    - #### getInjectedRoutesGenerator

          @Input
          public boolean getInjectedRoutesGenerator()

      Is the injected routes generator (`play.routes.compiler.InjectedRoutesGenerator`) used for generating routes? Default is false.
      Returns:
        false if StaticRoutesGenerator will be used to generate routes, true if InjectedRoutesGenerator will be used to generate routes.

    - #### setInjectedRoutesGenerator

          public void setInjectedRoutesGenerator(boolean injectedRoutesGenerator)

      Configure if the injected routes generator should be used to generate routes.
      Parameters:
        `injectedRoutesGenerator` - false - use StaticRoutesGenerator true - use InjectedRoutesGenerator